> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API public v1 entity by address



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/entity/{address}
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/entity/{address}:
    get:
      summary: Get API public v1 entity by address
      operationId: get-api-public-v1-entity-by-address
      parameters:
        - description: >-
            Any wallet — master, sub-account, or unknown; resolves to the owning
            entity either way
          in: path
          name: address
          required: true
          schema:
            description: >-
              Any wallet — master, sub-account, or unknown; resolves to the
              owning entity either way
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityProfileBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
        '503':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Service Unavailable
      security:
        - apiKey: []
components:
  schemas:
    EntityProfileBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/EntityProfileBody.json
          format: uri
          readOnly: true
          type: string
        combinedGrossEntryNotional:
          format: double
          type: number
        combinedOpenPositions:
          format: int32
          type: integer
        combinedWallets:
          format: int64
          type: integer
        entity:
          description: Master address — the entity id
          type: string
        isMultiWallet:
          type: boolean
        members:
          items:
            $ref: '#/components/schemas/EntityMember'
          type:
            - array
            - 'null'
        topOpenPositions:
          items:
            $ref: '#/components/schemas/EntityPosition'
          type:
            - array
            - 'null'
        verified:
          $ref: '#/components/schemas/CensusStamp'
      required:
        - entity
        - isMultiWallet
        - members
        - combinedWallets
        - combinedOpenPositions
        - combinedGrossEntryNotional
        - topOpenPositions
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    EntityMember:
      additionalProperties: false
      properties:
        address:
          type: string
        grossEntryNotional:
          format: double
          type: number
        name:
          description: User-assigned sub-account label (vault name for vault subs)
          type: string
        openPositions:
          format: int32
          type: integer
        relation:
          description: master | subaccount | linked
          type: string
      required:
        - address
        - relation
        - openPositions
        - grossEntryNotional
      type: object
    EntityPosition:
      additionalProperties: false
      properties:
        address:
          type: string
        coin:
          type: string
        direction:
          type: string
        entryVwap:
          format: double
          type: number
        openedAt:
          type: string
        size:
          description: 'Signed: negative = short'
          format: double
          type: number
      required:
        - address
        - coin
        - direction
        - size
        - entryVwap
        - openedAt
      type: object
    CensusStamp:
      additionalProperties: false
      properties:
        chain_time:
          description: Chain timestamp of that snapshot (RFC3339)
          type: string
        positions:
          description: Open perp positions on the whole exchange at that snapshot
          format: int32
          type: integer
        verified_at_block:
          description: Chain state snapshot block this data was last verified against
          format: int64
          type: integer
      required:
        - verified_at_block
        - chain_time
        - positions
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````